Skip to main content
GET
curl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
string
required

Treatment category to filter; use a category returned by the questionnaire catalog.

Response

Successful get renewal options for a category.

category
string
required

Category for this patient renewal options response.

mode
enum<string>
required

Mode for this patient renewal options response.

Available options:
pending_choice,
early_order,
express_reorder,
blocked
blocked_code
required

Blocked code for this patient renewal options response. May be null when unavailable.

Available options:
early_order_subscription_ending,
early_order_period_unavailable,
early_order_period_already_advanced,
early_order_pending_review,
no_prior_treatment,
subscription_payment_required
subscription
required

Subscription for this patient renewal options response. May be null when unavailable.

pending_consultation_id
string<uuid> | null
required

Identifier of the related pending consultation. May be null when unavailable.

current
object | null
required

Current for this patient renewal options response. May be null when unavailable.

ladder
object | null
required

Ladder for this patient renewal options response. May be null when unavailable.

alternatives
object[]
required

Alternatives for this patient renewal options response.

required_steps
object[]
required

Required steps for this patient renewal options response.

review_steps
object[]
required

Review steps for this patient renewal options response.

reusable_prefill
object[]
required

Reusable prefill for this patient renewal options response.

baseline_bmi
number<double> | null
required

Baseline bmi for this patient renewal options response. May be null when unavailable.

baseline_unknown
boolean
required

Whether baseline unknown applies to this patient renewal options response.

plan
required

Plan for this patient renewal options response. May be null when unavailable.

Available options:
subscription,
one_off
price
required

Price for this patient renewal options response. May be null when unavailable.

period
object
required

Period for this patient renewal options response.

express
object | null
required

Express for this patient renewal options response. May be null when unavailable.